#include <iostream>
#include <math.h>

using namespace std;

int main (){
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n,k,x;
    cin>>n>>k>>x;
    int a[n];
    a[n-1] = x+n;
    for (int i=0;i<n-1;i++) {
        a[i] = i+1;    
    }
    
    int k1 = 0;
    
    for (int i = 0;i<n;i++){
        for (int j=i+1;j<n;j++) {
            if (abs(a[i]-a[j]) >= x) k1++;
        }    
    }
    
    if (k1 == k) {
        for (int i=0;i<n;i++) {
            cout<<a[i]<<" ";
        }
    }
    else cout<<"-1";
    
    return 0;   
}